Index: /greenstone3/trunk/web/interfaces/gs2/transform/document.xsl
===================================================================
--- /greenstone3/trunk/web/interfaces/gs2/transform/document.xsl	(revision 18317)
+++ /greenstone3/trunk/web/interfaces/gs2/transform/document.xsl	(revision 18318)
@@ -13,25 +13,23 @@
   <xsl:output method="html"/>
   
-  
-
   <!-- the main page layout template is here -->
   <!-- override the one in style so we can display the doc over the whole page and get rid of the green bar down the side --> 
   <xsl:template match="page" priority='2'>
     <html>
-    <head>
-      <title>
-	<!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
-	<xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
-      </title>
-      <xsl:call-template name="globalStyle"/>
-      <xsl:call-template name="pageStyle"/>
-    </head>
+      <head>
+	<title>
+	  <!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+	  <xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+	</title>
+	<xsl:call-template name="globalStyle"/>
+	<xsl:call-template name="pageStyle"/>
+      </head>
       <body>
         <xsl:attribute name="dir"><xsl:call-template name="direction"/></xsl:attribute>
         <div id="page">
-           <xsl:apply-templates select="pageResponse"/>
-	   <xsl:call-template name="greenstoneFooter"/>
+	  <xsl:apply-templates select="pageResponse"/>
+	  <xsl:call-template name="greenstoneFooter"/>
 	</div>  
-       </body>
+      </body>
     </html>
   </xsl:template>
@@ -64,36 +62,36 @@
     </xsl:call-template>
     <div class="document">     
-    <!-- display the document -->
-    <xsl:apply-templates select="document">
-      <xsl:with-param name="collName" select="$collName"/>
-    </xsl:apply-templates>
-   </div>
-  </xsl:template>
+      <!-- display the document -->
+      <xsl:apply-templates select="document">
+	<xsl:with-param name="collName" select="$collName"/>
+      </xsl:apply-templates>
+    </div>
+  </xsl:template>
+  
+  <xsl:template match="document">
+    <xsl:param name="collName"/>
+
+    <xsl:variable name="external"><xsl:value-of select="/page/pageResponse/document/@external"/></xsl:variable>
+    <xsl:choose><xsl:when test="$external != ''">
+	<xsl:call-template name="externalPage">
+	  <xsl:with-param name="external" select="$external"/>
+	</xsl:call-template>
+      </xsl:when>
+      <xsl:otherwise>
 	
-  <xsl:template match="document">
-    <xsl:param name="collName"/>
-
-    <xsl:variable name="external"><xsl:value-of select="/page/pageResponse/document/@external"/></xsl:variable>
-	<xsl:choose><xsl:when test="$external != ''">
-	    <xsl:call-template name="externalPage">
-	      <xsl:with-param name="external" select="$external"/>
-	    </xsl:call-template>
-	  </xsl:when>
-	  <xsl:otherwise>
-	    
 	<xsl:call-template name="documentHeading">
-      <xsl:with-param name="collName" select="$collName"/>
-    </xsl:call-template>
-    
-    <xsl:call-template name="documentArrows">
-      <xsl:with-param name="collName" select="$collName"/>
-    </xsl:call-template>         
-    <xsl:call-template name="documentContent">
-      <xsl:with-param name="collName" select="$collName"/>
-    </xsl:call-template>
-    <xsl:call-template name="documentArrows">
-      <xsl:with-param name="collName" select="$collName"/>
-    </xsl:call-template> 
-    <br/>
+	  <xsl:with-param name="collName" select="$collName"/>
+	</xsl:call-template>
+	
+	<xsl:call-template name="documentArrows">
+	  <xsl:with-param name="collName" select="$collName"/>
+	</xsl:call-template>         
+	<xsl:call-template name="documentContent">
+	  <xsl:with-param name="collName" select="$collName"/>
+	</xsl:call-template>
+	<xsl:call-template name="documentArrows">
+	  <xsl:with-param name="collName" select="$collName"/>
+	</xsl:call-template> 
+	<br/>
       </xsl:otherwise></xsl:choose>
   </xsl:template>
@@ -107,16 +105,16 @@
     
     <div class="documentarrows">
-    <xsl:if test="not(string($ed)='1')">
-       <xsl:call-template name="documentArrow">
-        <xsl:with-param name="collName" select="$collName"/>
-        <xsl:with-param name="direction" select="$firstDir"/>
-        <xsl:with-param name="pageDir" select="$dir"/>
-     </xsl:call-template>
-    <xsl:call-template name="documentArrow">
-      <xsl:with-param name="collName" select="$collName"/>
-      <xsl:with-param name="direction" select="$secondDir"/>
-      <xsl:with-param name="pageDir" select="$dir"/>
-    </xsl:call-template>
-    </xsl:if>
+      <xsl:if test="not(string($ed)='1')">
+	<xsl:call-template name="documentArrow">
+	  <xsl:with-param name="collName" select="$collName"/>
+	  <xsl:with-param name="direction" select="$firstDir"/>
+	  <xsl:with-param name="pageDir" select="$dir"/>
+	</xsl:call-template>
+	<xsl:call-template name="documentArrow">
+	  <xsl:with-param name="collName" select="$collName"/>
+	  <xsl:with-param name="direction" select="$secondDir"/>
+	  <xsl:with-param name="pageDir" select="$dir"/>
+	</xsl:call-template>
+      </xsl:if>
     </div>    
   </xsl:template>
@@ -126,20 +124,20 @@
     <xsl:param name="direction"/>
     <xsl:param name="pageDir"/>
-        
+    
     <xsl:variable name="disp">
-    	<xsl:choose>
-		    <xsl:when test="$direction ='back' and nodeStructureInfo/info[@name='siblingPosition']/@value = -1">n</xsl:when>
-		    <xsl:when test="$direction ='forward' and nodeStructureInfo/info[@name='siblingPosition']/@value = nodeStructureInfo/info[@name='numSiblings']/@value">n</xsl:when>		    
-		    <xsl:otherwise>y</xsl:otherwise>
-		</xsl:choose>
+      <xsl:choose>
+	<xsl:when test="$direction ='back' and nodeStructureInfo/info[@name='siblingPosition']/@value = -1">n</xsl:when>
+	<xsl:when test="$direction ='forward' and nodeStructureInfo/info[@name='siblingPosition']/@value = nodeStructureInfo/info[@name='numSiblings']/@value">n</xsl:when>		    
+	<xsl:otherwise>y</xsl:otherwise>
+      </xsl:choose>
     </xsl:variable>
 
     <xsl:variable name="request-params" select="/page/pageRequest/paramList"/>
     <xsl:if test='$request-params/param[@name="dt"]/@value != "simple" and $disp = "y"'>  
-    <a><xsl:attribute name="href"><xsl:value-of select="$library_name"/>?a=d&amp;c=<xsl:value-of select="$collName"/>&amp;d=<xsl:value-of select="@selectedNode"/><xsl:choose><xsl:when test="$direction='back'">.pp</xsl:when><xsl:otherwise>.np</xsl:otherwise></xsl:choose>&amp;sib=1&amp;p.s=<xsl:value-of select='$request-params/param[@name="p.s"]/@value'/>&amp;p.sa=<xsl:value-of select='$request-params/param[@name="p.sa"]/@value'/>&amp;p.a=<xsl:value-of select='$request-params/param[@name="p.a"]/@value'/></xsl:attribute><xsl:choose>
-    <xsl:when test="$direction='back'"><img class="lessarrow{$pageDir}" src="interfaces/default/images/less.gif" /></xsl:when><xsl:otherwise><img class="morearrow{$pageDir}" src="interfaces/default/images/more.gif"  /></xsl:otherwise></xsl:choose></a>
+      <a><xsl:attribute name="href"><xsl:value-of select="$library_name"/>?a=d&amp;c=<xsl:value-of select="$collName"/>&amp;d=<xsl:value-of select="@selectedNode"/><xsl:choose><xsl:when test="$direction='back'">.pp</xsl:when><xsl:otherwise>.np</xsl:otherwise></xsl:choose>&amp;sib=1&amp;p.s=<xsl:value-of select='$request-params/param[@name="p.s"]/@value'/>&amp;p.sa=<xsl:value-of select='$request-params/param[@name="p.sa"]/@value'/>&amp;p.a=<xsl:value-of select='$request-params/param[@name="p.a"]/@value'/></xsl:attribute><xsl:choose>
+	  <xsl:when test="$direction='back'"><img class="lessarrow{$pageDir}" src="interfaces/default/images/less.gif" /></xsl:when><xsl:otherwise><img class="morearrow{$pageDir}" src="interfaces/default/images/more.gif"  /></xsl:otherwise></xsl:choose></a>
     </xsl:if>
   </xsl:template>
-         
+  
 
   <xsl:template name="documentHeading">
@@ -152,37 +150,37 @@
     <xsl:variable name="p.c"><xsl:choose><xsl:when test="/page/pageRequest/paramList/param[@name='p.c']"><xsl:value-of select="/page/pageRequest/paramList/param[@name='p.c']/@value"/></xsl:when><xsl:otherwise><xsl:value-of select="$collName"/></xsl:otherwise></xsl:choose></xsl:variable>
     <div id="documentheading">
-	  <a href="{$library_name}?a={$p.a}&amp;sa={$p.sa}&amp;s={$p.s}&amp;c={$p.c}&amp;rt=rd"><xsl:call-template name="openbookimg"><xsl:with-param name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'close_book')"/></xsl:with-param>
-	  </xsl:call-template></a>
-	     <xsl:choose><xsl:when test="@docType='simple'"><xsl:value-of select="metadataList/metadata[@name='Title']" disable-output-escaping="yes"/></xsl:when><xsl:otherwise><xsl:value-of select="documentNode/metadataList/metadata[@name='Title']" disable-output-escaping="yes"/></xsl:otherwise></xsl:choose>
-  </div>
-
- <div id="docheadwrapper">
-  <div id="documentinfo">
+      <a href="{$library_name}?a={$p.a}&amp;sa={$p.sa}&amp;s={$p.s}&amp;c={$p.c}&amp;rt=rd"><xsl:call-template name="openbookimg"><xsl:with-param name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'close_book')"/></xsl:with-param>
+	</xsl:call-template></a>
+      <xsl:choose><xsl:when test="@docType='simple'"><xsl:value-of select="metadataList/metadata[@name='Title']" disable-output-escaping="yes"/></xsl:when><xsl:otherwise><xsl:value-of select="documentNode/metadataList/metadata[@name='Title']" disable-output-escaping="yes"/></xsl:otherwise></xsl:choose>
+    </div>
+
+    <div id="docheadwrapper">
+      <div id="documentinfo">
     	<xsl:if test="string($doCoverImage) != 'false' and (@docType='paged' or @docType='hierarchy')">
        	  <div id="headingimage">
-             <xsl:call-template name="coverImage"/> 
+	    <xsl:call-template name="coverImage"/> 
           </div>
         </xsl:if>
-     
+	
         <ul id="docbuttons" >
-         <xsl:call-template name="documentButtons">
-	   <xsl:with-param name="collName" select="$collName"/>
-         </xsl:call-template>
-       </ul>
-  </div>
-    
+	  <xsl:call-template name="documentButtons">
+	    <xsl:with-param name="collName" select="$collName"/>
+	  </xsl:call-template>
+	</ul>
+      </div>
+      
       <!--<div><xsl:call-template name="enrichServices">
+      <xsl:with-param name="collName" select="$collName"/>
+    </xsl:call-template></div>-->
+      
+      <xsl:if test="string($doTOC) != 'false'">
+	<div id="toc">
+	  <xsl:call-template name="TOC">
 	    <xsl:with-param name="collName" select="$collName"/>
-	  </xsl:call-template></div>-->
- 
-    <xsl:if test="string($doTOC) != 'false'">
-       <div id="toc">
-	 <xsl:call-template name="TOC">
-	   <xsl:with-param name="collName" select="$collName"/>
-	 </xsl:call-template>
-      </div>
-    </xsl:if>
+	  </xsl:call-template>
+	</div>
+      </xsl:if>
     </div>
-   </xsl:template>
+  </xsl:template>
 
   <xsl:template name="coverImage">
@@ -202,34 +200,31 @@
     <xsl:variable name="p.a" select="/page/pageRequest/paramList/param[@name='p.a']/@value"/>
     <xsl:variable name="p.c"><xsl:choose><xsl:when test="/page/pageRequest/paramList/param[@name='p.c']"><xsl:value-of select="/page/pageRequest/paramList/param[@name='p.c']/@value"/></xsl:when><xsl:otherwise><xsl:value-of select="$collName"/></xsl:otherwise></xsl:choose></xsl:variable>
-      
-      <!-- expand document -->
-      <!-- this doesn't work with MG so comment it out for now -->      
-      <!--<xsl:if test="@docType = 'hierarchy' or @docType = 'paged'">-->
-      <!-- shouldn't appear for paged document -->
-      <xsl:if test="@docType = 'hierarchy'">
+    
+    <!-- expand document -->
+    <xsl:if test="@docType = 'hierarchy'">
       <div class="button">
         <span class="button">
 	  <xsl:choose><xsl:when test="string($ed)='1'">
 	      <a href="{$library_name}?a=d&amp;d={$docID}&amp;c={$collName}&amp;sib={$sib}&amp;ed=0&amp;p.s={$p.s}&amp;p.sa={$p.sa}&amp;p.a={$p.a}&amp;p.c={$p.c}"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.contract_doc_tip')"/></xsl:attribute>
-		  <xsl:value-of disable-output-escaping='yes' select="util:getInterfaceText($interface_name, /page/@lang, 'doc.contract_doc_b')"/>
+		<xsl:value-of disable-output-escaping='yes' select="util:getInterfaceText($interface_name, /page/@lang, 'doc.contract_doc_b')"/>
 	      </a>
 	    </xsl:when>
 	    <xsl:otherwise>
-	        <a href="{$library_name}?a=d&amp;d={$docID}&amp;c={$collName}&amp;sib={$sib}&amp;ed=1&amp;p.s={$p.s}&amp;p.sa={$p.sa}&amp;p.a={$p.a}&amp;p.c={$p.c}"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.expand_doc_tip')"/></xsl:attribute>
-	   <xsl:value-of disable-output-escaping='yes' select="util:getInterfaceText($interface_name, /page/@lang, 'doc.expand_doc_b')"/>
+	      <a href="{$library_name}?a=d&amp;d={$docID}&amp;c={$collName}&amp;sib={$sib}&amp;ed=1&amp;p.s={$p.s}&amp;p.sa={$p.sa}&amp;p.a={$p.a}&amp;p.c={$p.c}"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.expand_doc_tip')"/></xsl:attribute>
+		<xsl:value-of disable-output-escaping='yes' select="util:getInterfaceText($interface_name, /page/@lang, 'doc.expand_doc_b')"/>
 	      </a>
 	    </xsl:otherwise>
 	  </xsl:choose>
-         </span>
-	</div>
-      </xsl:if> 
-      
-      <!-- expand contents -->
-      <xsl:if test="@docType = 'hierarchy' and string(/page/pageResponse/format/gsf:option[@name='documentTOC']/@value) != 'false'">
+	</span>
+      </div>
+    </xsl:if> 
+    
+    <!-- expand contents -->
+    <xsl:if test="@docType = 'hierarchy' and string(/page/pageResponse/format/gsf:option[@name='documentTOC']/@value) != 'false'">
       <div class="button">
         <span class="button">
 	  <xsl:choose><xsl:when test="string($ec)='1'">
 	      <a  href="{$library_name}?a=d&amp;d={$docID}&amp;c={$collName}&amp;sib={$sib}&amp;ec=0&amp;p.s={$p.s}&amp;p.sa={$p.sa}&amp;p.a={$p.a}&amp;p.c={$p.c}"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.contract_contents_tip')"/></xsl:attribute>
-		 <xsl:value-of disable-output-escaping='yes' select="util:getInterfaceText($interface_name, /page/@lang, 'doc.contract_contents_b')"/>
+		<xsl:value-of disable-output-escaping='yes' select="util:getInterfaceText($interface_name, /page/@lang, 'doc.contract_contents_b')"/>
 	      </a>
 	    </xsl:when>
@@ -240,17 +235,17 @@
 	    </xsl:otherwise>
 	  </xsl:choose>
-	 </span>
-	</div>
-      </xsl:if>
-      <!-- detach page -->
-      <xsl:variable name="paramList" select="/page/pageRequest/paramList"/>
-      <div class="button">
-        <span class="button">
-	  <a  target="_blank"><xsl:attribute name="href"><xsl:value-of select="$library_name"/>?a=d&amp;d=<xsl:value-of select="$docID"/>&amp;c=<xsl:value-of select="$collName"/>&amp;sib=<xsl:value-of select="$sib"/>&amp;dt=<xsl:value-of select="$paramList/param[@name='dt']/@value"/>&amp;ec=<xsl:value-of select="$paramList/param[@name='ec']/@value"/>&amp;et=<xsl:value-of select="$paramList/param[@name='et']/@value"/>&amp;p.a=<xsl:value-of select="$paramList/param[@name='p.a']/@value"/>&amp;p.s=<xsl:value-of select="$paramList/param[@name='p.s']/@value"/>&amp;p.sa=<xsl:value-of select="$paramList/param[@name='p.sa']/@value"/></xsl:attribute><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.detach_page_tip')"/></xsl:attribute>
-	    <xsl:value-of disable-output-escaping='yes' select="util:getInterfaceText($interface_name, /page/@lang, 'doc.detach_page_b')"/>
-	  </a>
-         </span>
+	</span>
       </div>
-   </xsl:template>
+    </xsl:if>
+    <!-- detach page -->
+    <xsl:variable name="paramList" select="/page/pageRequest/paramList"/>
+    <div class="button">
+      <span class="button">
+	<a  target="_blank"><xsl:attribute name="href"><xsl:value-of select="$library_name"/>?a=d&amp;d=<xsl:value-of select="$docID"/>&amp;c=<xsl:value-of select="$collName"/>&amp;sib=<xsl:value-of select="$sib"/>&amp;dt=<xsl:value-of select="$paramList/param[@name='dt']/@value"/>&amp;ec=<xsl:value-of select="$paramList/param[@name='ec']/@value"/>&amp;et=<xsl:value-of select="$paramList/param[@name='et']/@value"/>&amp;p.a=<xsl:value-of select="$paramList/param[@name='p.a']/@value"/>&amp;p.s=<xsl:value-of select="$paramList/param[@name='p.s']/@value"/>&amp;p.sa=<xsl:value-of select="$paramList/param[@name='p.sa']/@value"/></xsl:attribute><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.detach_page_tip')"/></xsl:attribute>
+	  <xsl:value-of disable-output-escaping='yes' select="util:getInterfaceText($interface_name, /page/@lang, 'doc.detach_page_b')"/>
+	</a>
+      </span>
+    </div>
+  </xsl:template>
 
   <xsl:template name="TOC">
@@ -269,5 +264,5 @@
     </xsl:choose>
   </xsl:template>
-    
+  
   <xsl:template name="hierarchicalContents">
     <xsl:param name="collName"/>
@@ -284,15 +279,15 @@
     
     <xsl:if test="documentNode[@nodeID]">
-	<ul id="tocnodes">
+      <ul id="tocnodes">
 	<li>
-	    <xsl:choose><xsl:when test="string($oc)='0'">
-		<a href="{$library_name}?a=d&amp;c={$collName}&amp;d={$d}&amp;sib={$sib}&amp;oc=1&amp;p.s={$p.s}&amp;p.sa={$p.sa}&amp;p.a={$p.a}&amp;p.c={$p.c}"><xsl:call-template name="closedfolderimg"><xsl:with-param name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.open_toc')"/></xsl:with-param></xsl:call-template></a>
-	      </xsl:when>
-	      <xsl:otherwise><a href="{$library_name}?a=d&amp;c={$collName}&amp;d={$d}&amp;sib={$sib}&amp;oc=0&amp;p.s={$p.s}&amp;p.sa={$p.sa}&amp;p.a={$p.a}&amp;p.c={$p.c}"><xsl:call-template name="openfolderimg"><xsl:with-param name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.close_toc')"/></xsl:with-param></xsl:call-template></a></xsl:otherwise></xsl:choose>
+	  <xsl:choose><xsl:when test="string($oc)='0'">
+	      <a href="{$library_name}?a=d&amp;c={$collName}&amp;d={$d}&amp;sib={$sib}&amp;oc=1&amp;p.s={$p.s}&amp;p.sa={$p.sa}&amp;p.a={$p.a}&amp;p.c={$p.c}"><xsl:call-template name="closedfolderimg"><xsl:with-param name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.open_toc')"/></xsl:with-param></xsl:call-template></a>
+	    </xsl:when>
+	    <xsl:otherwise><a href="{$library_name}?a=d&amp;c={$collName}&amp;d={$d}&amp;sib={$sib}&amp;oc=0&amp;p.s={$p.s}&amp;p.sa={$p.sa}&amp;p.a={$p.a}&amp;p.c={$p.c}"><xsl:call-template name="openfolderimg"><xsl:with-param name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.close_toc')"/></xsl:with-param></xsl:call-template></a></xsl:otherwise></xsl:choose>
 	  <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.table_of_contents')"/>
-	<xsl:if test="string($oc)!='0'">
-	  <ul class="tocnode">
-		<xsl:for-each select="documentNode/documentNode[@nodeID]">
-		  <xsl:apply-templates select='.'>
+	  <xsl:if test="string($oc)!='0'">
+	    <ul class="tocnode">
+	      <xsl:for-each select="documentNode/documentNode[@nodeID]">
+		<xsl:apply-templates select='.'>
 		  <xsl:with-param name="collName" select="$collName"/><xsl:with-param name="ec" select="$ec"/>
 		  
@@ -304,8 +299,8 @@
 		  
 		</xsl:apply-templates>
-		</xsl:for-each>
-	     </ul>
+	      </xsl:for-each>
+	    </ul>
 	  </xsl:if>
- </li> 
+	</li> 
       </ul>
     </xsl:if>
@@ -323,37 +318,37 @@
     <xsl:param name="p.c"/>
     <!-- Display the appropriate image, depending on the node type -->
-    	
-     <li>
-    <!--
-	<a><xsl:attribute name="href"><xsl:value-of select='$library_name'/>?a=d&amp;c=<xsl:value-of select='$collName'/>&amp;d=<xsl:value-of select='@nodeID'/><xsl:if test="documentNode">.pr</xsl:if><xsl:if test="@nodeType='leaf'">&amp;sib=1</xsl:if><xsl:if test="string($ec) = '1'">&amp;ec=1</xsl:if></xsl:attribute>
-	-->	
+    
+    <li>
+      <!--
+      <a><xsl:attribute name="href"><xsl:value-of select='$library_name'/>?a=d&amp;c=<xsl:value-of select='$collName'/>&amp;d=<xsl:value-of select='@nodeID'/><xsl:if test="documentNode">.pr</xsl:if><xsl:if test="@nodeType='leaf'">&amp;sib=1</xsl:if><xsl:if test="string($ec) = '1'">&amp;ec=1</xsl:if></xsl:attribute>
+      -->	
+      
+      <a><xsl:attribute name="href"><xsl:value-of select='$library_name'/>?a=d&amp;c=<xsl:value-of select='$collName'/>&amp;d=<xsl:value-of select='@nodeID'/><xsl:if test="documentNode">.pr</xsl:if>&amp;sib=1<xsl:if test="string($ec) = '1'">&amp;ec=1</xsl:if>&amp;p.a=<xsl:value-of select="$p.a"/>&amp;p.sa=<xsl:value-of select="$p.sa"/>&amp;p.s=<xsl:value-of select="$p.s"/>&amp;p.c=<xsl:value-of select="$p.c"/></xsl:attribute>
 	
-	<a><xsl:attribute name="href"><xsl:value-of select='$library_name'/>?a=d&amp;c=<xsl:value-of select='$collName'/>&amp;d=<xsl:value-of select='@nodeID'/><xsl:if test="documentNode">.pr</xsl:if>&amp;sib=1<xsl:if test="string($ec) = '1'">&amp;ec=1</xsl:if>&amp;p.a=<xsl:value-of select="$p.a"/>&amp;p.sa=<xsl:value-of select="$p.sa"/>&amp;p.s=<xsl:value-of select="$p.s"/>&amp;p.c=<xsl:value-of select="$p.c"/></xsl:attribute>
-	
-	  <xsl:apply-templates select="." mode="displayNodeIcon"/>
-	</a>
+	<xsl:apply-templates select="." mode="displayNodeIcon"/>
+      </a>
       
       <!-- Display associated title, bolded if the node has content -->
-	<xsl:choose>
-	  <xsl:when test="nodeContent">
-	     <span class="bold"><xsl:value-of disable-output-escaping="yes" select="metadataList/metadata[@name='Title']"/></span>
-	  </xsl:when>
-	  <xsl:otherwise>
-	    <xsl:value-of disable-output-escaping="yes" select="metadataList/metadata[@name='Title']"/>
-	  </xsl:otherwise>
-	</xsl:choose>
-
-    <!-- Apply recursively to the children of this node -->
-    <xsl:if test="documentNode[@nodeID]">
-      
-	     <ul class="tocnode"> <xsl:apply-templates select="documentNode[@nodeID]">
-	      <xsl:with-param name="collName" select="$collName"/>
-	      <xsl:with-param name="ec" select="$ec"/>
-	      
-	      <!-- added parameters -->
-	      <xsl:with-param name="p.a" select="$p.a"/><xsl:with-param name="p.s" select="$p.s"/><xsl:with-param name="p.sa" select="$p.sa"/><xsl:with-param name="p.c" select="$p.c"/>
-	      <!--<xsl:with-param name="depth" select="$depth + 1"/>-->
-	    </xsl:apply-templates>
-	   </ul>
+      <xsl:choose>
+	<xsl:when test="nodeContent">
+	  <span class="bold"><xsl:value-of disable-output-escaping="yes" select="metadataList/metadata[@name='Title']"/></span>
+	</xsl:when>
+	<xsl:otherwise>
+	  <xsl:value-of disable-output-escaping="yes" select="metadataList/metadata[@name='Title']"/>
+	</xsl:otherwise>
+      </xsl:choose>
+
+      <!-- Apply recursively to the children of this node -->
+      <xsl:if test="documentNode[@nodeID]">
+	
+	<ul class="tocnode"> <xsl:apply-templates select="documentNode[@nodeID]">
+	    <xsl:with-param name="collName" select="$collName"/>
+	    <xsl:with-param name="ec" select="$ec"/>
+	    
+	    <!-- added parameters -->
+	    <xsl:with-param name="p.a" select="$p.a"/><xsl:with-param name="p.s" select="$p.s"/><xsl:with-param name="p.sa" select="$p.sa"/><xsl:with-param name="p.c" select="$p.c"/>
+	    <!--<xsl:with-param name="depth" select="$depth + 1"/>-->
+	  </xsl:apply-templates>
+	</ul>
       </xsl:if>
     </li>
@@ -380,5 +375,5 @@
       </xsl:if>
       <xsl:apply-templates select="nodeContent"/>
-      </xsl:if>
+    </xsl:if>
     
   </xsl:template>
@@ -422,5 +417,5 @@
     <xsl:variable name="serviceargs">
       <xsl:for-each select="param">&amp;s1.<xsl:value-of select="@name"/>=<xsl:value-of select="@value"/></xsl:for-each>
-  </xsl:variable>
+    </xsl:variable>
     <a href="{$library_name}?{$actionargs}&amp;c={$collName}{$serviceargs}"><xsl:value-of disable-output-escaping="yes" select="."/></a>
   </xsl:template>
@@ -439,64 +434,64 @@
     <!-- parameters for the bookicon to work properly -->
     <xsl:variable name="p.s" select="/page/pageRequest/paramList/param[@name='p.s']/@value"/>
-   	<xsl:variable name="p.sa" select="/page/pageRequest/paramList/param[@name='p.sa']/@value"/>
-   	<xsl:variable name="p.a" select="/page/pageRequest/paramList/param[@name='p.a']/@value"/>
-   	<xsl:variable name="p.c"><xsl:choose><xsl:when test="/page/pageRequest/paramList/param[@name='p.c']"><xsl:value-of select="/page/pageRequest/paramList/param[@name='p.c']/@value"/></xsl:when><xsl:otherwise><xsl:value-of select="$collName"/></xsl:otherwise></xsl:choose></xsl:variable>
+    <xsl:variable name="p.sa" select="/page/pageRequest/paramList/param[@name='p.sa']/@value"/>
+    <xsl:variable name="p.a" select="/page/pageRequest/paramList/param[@name='p.a']/@value"/>
+    <xsl:variable name="p.c"><xsl:choose><xsl:when test="/page/pageRequest/paramList/param[@name='p.c']"><xsl:value-of select="/page/pageRequest/paramList/param[@name='p.c']/@value"/></xsl:when><xsl:otherwise><xsl:value-of select="$collName"/></xsl:otherwise></xsl:choose></xsl:variable>
 
     <xsl:choose>
-	<xsl:when test="$pos=-1"><!-- a doc -->
-	  <tr valign="top">
-	    <td align="left">
-	    </td>
-	    <td align="center"><center>
-		<b><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.pages', $children)"/></b>
-	      </center></td>
-	    <td align="right">
-	      <a href="{$library_name}?a=d&amp;c={$collName}&amp;d={@selectedNode}.fc&amp;p.s={$p.s}&amp;p.sa={$p.sa}&amp;p.a={$p.a}&amp;p.c={$p.c}"><img src="interfaces/default/images/more.gif" border="0" align="absbottom" /></a>
-	    </td>
-	  </tr>
-	</xsl:when>
-	
-	<xsl:otherwise> <!-- an internal node -->	  
-	  <tr valign="top">
-	    <td align="left">
-	      <xsl:if test=" not ( $pos = 1 )">
-		<a href="{$library_name}?a=d&amp;c={$collName}&amp;d={@selectedNode}.ps&amp;p.s={$p.s}&amp;p.sa={$p.sa}&amp;p.a={$p.a}&amp;p.c={$p.c}"><img src="interfaces/default/images/less.gif" border="0" align="absbottom" /></a>
-	      </xsl:if>
-	    </td>
-	    <td align="center"><center>
-		<b><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.pageof', concat($pos, ';', $length))"/></b>
-	      </center></td>
-	    <td align="right">
-	      <xsl:if test=" not($pos = $length)">
-		<a href="{$library_name}?a=d&amp;c={$collName}&amp;d={@selectedNode}.ns&amp;p.s={$p.s}&amp;p.sa={$p.sa}&amp;p.a={$p.a}&amp;p.c={$p.c}"><img src="interfaces/default/images/more.gif" border="0" align="absbottom" /></a>
-	      </xsl:if>
-	    </td>
-	  </tr>
-	</xsl:otherwise>
-      </xsl:choose>
-      <tr valign="middle">
-	<td align='center' valign='top' colspan='3'>
-	  <form name="GotoForm" method="get" action="{$library_name}">
-	    <input type='hidden' name='a' value='d'/>
-	    <input type='hidden' name='c' value='{$collName}'/>
-	    <!--<input type='hidden' name='d' value='{@selectedNode}'/>-->
-	    <input type='hidden' name='d'>
-	    	<xsl:attribute name='value'>
-	    		<xsl:if test="contains(@selectedNode, '.')"><xsl:value-of select="@selectedNode"/></xsl:if>
-	    		<xsl:if test="not(contains(@selectedNode, '.'))"><xsl:value-of select="@selectedNode"/>.0</xsl:if>
-	    	</xsl:attribute>
-	    </input>    	    	
-	    
-    	<input type='hidden' name='p.s' value='{$p.s}'/>
-    	<input type='hidden' name='p.sa' value='{$p.sa}'/>
-    	<input type='hidden' name='p.a' value='{$p.a}'/>
-    	<input type='hidden' name='p.c' value='{$p.c}'/>    
-    	
-	    <input type="text" name="gp" size="3" maxlength="4"/>
-	    <input type="submit"><xsl:attribute name='value'><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.gotopage')"/></xsl:attribute></input>
-	  </form>
-	</td>
-      </tr>
-   </xsl:template>
+      <xsl:when test="$pos=-1"><!-- a doc -->
+	<tr valign="top">
+	  <td align="left">
+	  </td>
+	  <td align="center"><center>
+	      <b><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.pages', $children)"/></b>
+	    </center></td>
+	  <td align="right">
+	    <a href="{$library_name}?a=d&amp;c={$collName}&amp;d={@selectedNode}.fc&amp;p.s={$p.s}&amp;p.sa={$p.sa}&amp;p.a={$p.a}&amp;p.c={$p.c}"><img src="interfaces/default/images/more.gif" border="0" align="absbottom" /></a>
+	  </td>
+	</tr>
+      </xsl:when>
+      
+      <xsl:otherwise> <!-- an internal node -->	  
+	<tr valign="top">
+	  <td align="left">
+	    <xsl:if test=" not ( $pos = 1 )">
+	      <a href="{$library_name}?a=d&amp;c={$collName}&amp;d={@selectedNode}.ps&amp;p.s={$p.s}&amp;p.sa={$p.sa}&amp;p.a={$p.a}&amp;p.c={$p.c}"><img src="interfaces/default/images/less.gif" border="0" align="absbottom" /></a>
+	    </xsl:if>
+	  </td>
+	  <td align="center"><center>
+	      <b><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.pageof', concat($pos, ';', $length))"/></b>
+	    </center></td>
+	  <td align="right">
+	    <xsl:if test=" not($pos = $length)">
+	      <a href="{$library_name}?a=d&amp;c={$collName}&amp;d={@selectedNode}.ns&amp;p.s={$p.s}&amp;p.sa={$p.sa}&amp;p.a={$p.a}&amp;p.c={$p.c}"><img src="interfaces/default/images/more.gif" border="0" align="absbottom" /></a>
+	    </xsl:if>
+	  </td>
+	</tr>
+      </xsl:otherwise>
+    </xsl:choose>
+    <tr valign="middle">
+      <td align='center' valign='top' colspan='3'>
+	<form name="GotoForm" method="get" action="{$library_name}">
+	  <input type='hidden' name='a' value='d'/>
+	  <input type='hidden' name='c' value='{$collName}'/>
+	  <!--<input type='hidden' name='d' value='{@selectedNode}'/>-->
+	  <input type='hidden' name='d'>
+	    <xsl:attribute name='value'>
+	      <xsl:if test="contains(@selectedNode, '.')"><xsl:value-of select="@selectedNode"/></xsl:if>
+	      <xsl:if test="not(contains(@selectedNode, '.'))"><xsl:value-of select="@selectedNode"/>.0</xsl:if>
+	    </xsl:attribute>
+	  </input>    	    	
+	  
+	  <input type='hidden' name='p.s' value='{$p.s}'/>
+	  <input type='hidden' name='p.sa' value='{$p.sa}'/>
+	  <input type='hidden' name='p.a' value='{$p.a}'/>
+	  <input type='hidden' name='p.c' value='{$p.c}'/>    
+	  
+	  <input type="text" name="gp" size="3" maxlength="4"/>
+	  <input type="submit"><xsl:attribute name='value'><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'doc.gotopage')"/></xsl:attribute></input>
+	</form>
+      </td>
+    </tr>
+  </xsl:template>
   
   <xsl:template name="enrichServices">
@@ -535,6 +530,6 @@
 
   <xsl:template name="externalPage">
-     <xsl:param name="external"/>
-     <xsl:variable name="go_forward_link"><a><xsl:attribute name="href"><xsl:value-of select="$external"/></xsl:attribute><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'external.go_forward')"/></a></xsl:variable>
+    <xsl:param name="external"/>
+    <xsl:variable name="go_forward_link"><a><xsl:attribute name="href"><xsl:value-of select="$external"/></xsl:attribute><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'external.go_forward')"/></a></xsl:variable>
     <h2><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'external.title')"/></h2>
     <p><xsl:value-of select="util:getInterfaceTextWithDOM($interface_name, /page/@lang, 'external.text', $go_forward_link)" disable-output-escaping="yes"/>
